This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 736577 - (ghc-snap-core) Review Request: ghc-snap-core - Snap web framework core library
Review Request: ghc-snap-core - Snap web framework core library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: 648093 ghc-unix-compat ghc-vector ghc-attoparsec-enum 746415 746942 ghc-zlib-enum ghc-mwc-random 756386 759045
Blocks: Haskell-pkg-reviews
  Show dependency treegraph
 
Reported: 2011-09-08 02:51 EDT by Jens Petersen
Modified: 2012-02-07 03:28 EST (History)
5 users (show)

See Also:
Fixed In Version: ghc-snap-core-0.6.0.1-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 02:48:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2011-09-08 02:51:34 EDT
Spec URL: http://petersen.fedorapeople.org/reviews/ghc-snap-core/ghc-snap-core.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/ghc-snap-core/ghc-snap-core-0.5.3.1-1.fc15.src.rpm
Description: 
Core definitions and types for the Snap web framework
Comment 1 Jens Petersen 2011-09-08 02:55:19 EDT
This also depends on vector - will make it block this review.
Comment 2 Michel Alexandre Salim 2011-09-08 14:21:04 EDT
Jens, could you review these two in return?

ghc-language-c:
https://bugzilla.redhat.com/show_bug.cgi?id=530688

(I somehow let the previous review lapsed, sorry -- the new spec is significantly different, based on the latest cabal2spec, so it probably should be re-reviewed anyway)

pure-gen:
https://bugzilla.redhat.com/show_bug.cgi?id=736801

(the original motivation for packaging language-c, which it depends on; there were issues compiling it earlier related to our LLVM stack)

Thanks!
Comment 3 Jens Petersen 2011-09-08 22:20:56 EDT
(In reply to comment #2)
> Jens, could you review these two in return?

Sure, no problem :)
Comment 4 Michel Alexandre Salim 2011-09-27 05:10:56 EDT
Jens, would you rather I review this based on the latest available unpackaged dependencies, or would you rather I wait until those are reviewed? I can do either.
Comment 5 Jens Petersen 2011-09-27 05:48:00 EDT
Thanks Michel, I think it is better to wait for the other deps.
Unfortunately those still need to be resubmitted, but I am hoping
to do that soon if someone else doesn't beat me to it. :)
Comment 6 Jens Petersen 2011-10-15 12:24:47 EDT
Update to latest 0.5.4 release.

Spec: http://petersen.fedorapeople.org/reviews/ghc-snap-core/ghc-snap-core.spec
Srpm: http://petersen.fedorapeople.org/reviews/ghc-snap-core/ghc-snap-core-0.5.4-1.fc15.src.rpm

I just submitted MonadControlIO-transformers.
With it this builds locally for me.
Comment 7 Jens Petersen 2011-10-15 12:26:00 EDT
(sorry MonadCatchIO-transformers)
Comment 8 Jens Petersen 2011-10-28 06:48:14 EDT
snap-core-0.6.0 was released as part of the snap-0.6 release.
Unfortunately it has some addtional new dependencies...
Comment 9 Jens Petersen 2011-11-07 21:46:49 EST
Spec: http://petersen.fedorapeople.org/reviews/ghc-snap-core/ghc-snap-core.spec
Srpm: http://petersen.fedorapeople.org/reviews/ghc-snap-core/ghc-snap-core-0.5.4-2.fc15.src.rpm

This now builds in koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3496215

snap-core-0.5.5 needs an additional dependency on zlib-enum.

snap-core-0.6 additionally requires base16-bytestring, mwc-random, and unordered-containers.
Comment 11 Jens Petersen 2011-11-23 07:29:18 EST
Michel, do you still have time to review this? :)
Comment 12 Jens Petersen 2011-12-16 02:24:01 EST
Update to 0.6:

Srpm: http://petersen.fedorapeople.org/reviews/ghc-snap-core/ghc-snap-core.spec
Spec: http://petersen.fedorapeople.org/reviews/ghc-snap-core/ghc-snap-core-0.6.0.1-1.fc16.src.rpm

Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=3588254

Note 0.7 requires a newer version of attoparsec than we currently have.
I guess we can update to it when moving to ghc-7.4.
Comment 14 Narasimhan 2012-01-16 22:50:28 EST
Hi Michel,
Are you planning to review this any time soon? If no, then I can take this.
Comment 15 Narasimhan 2012-01-21 00:19:44 EST
Hi Michel,
I will review this package.
Comment 16 Narasimhan 2012-01-21 01:04:03 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.

rpmlint  -i ghc-snap-core-0.7.0.1-1.fc17.src.rpm  ghc-snap-core-devel-0.7.0.1-1.fc17.x86_64.rpm  ghc-snap-core-0.7.0.1-1.fc17.x86_64.rpm ../ghc-snap-core.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK, based on cabal2spec-0.25
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
License is BSD.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum snap-core-0.7.0.1.tar.gz 
c686cbca157485dbef60528aca3f5dff  snap-core-0.7.0.1.tar.gz

md5sum ghc-snap-core-0.7.0.1-1.fc16.src/snap-core-0.7.0.1.tar.gz 
c686cbca157485dbef60528aca3f5dff  ghc-snap-core-0.7.0.1-1.fc16.src/snap-core-0.7.0.1.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
API documentation in devel package
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[-]SHOULD: Individual source files must mention the license at the beginning of the file.
Please request upstream to include the license at the top of each source file.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED.
Comment 17 Narasimhan 2012-01-21 23:59:34 EST
Just a headsup. This package depends on ghc-mwc-random 0.10.0. Rawhide has ghc-mwc-random-0.11.0.0
Comment 18 Jens Petersen 2012-01-22 21:08:46 EST
Thanks for reviewing! :)

(In reply to comment #17)
> This package depends on ghc-mwc-random 0.10.0. Rawhide has
> ghc-mwc-random-0.11.0.0

I see - let me see if it builds if I patch the .cabal file?

We probably need to be increasingly careful with checking
reverse dependencies before updating libraries.
eg http://packdeps.haskellers.com/reverse/mwc-random
Comment 19 Jens Petersen 2012-01-22 22:25:28 EST
Anyway it builds ok, after patching the .cabal file so will do that. :)


New Package SCM Request
=======================
Package Name: ghc-snap-core
Short Description: Snap web framework core library
Owners: petersen
Branches: f16 f15 el6
InitialCC: haskell-sig
Comment 20 Jon Ciesla 2012-01-23 08:03:27 EST
Git done (by process-git-requests).
Comment 21 Jens Petersen 2012-01-23 21:51:27 EST
Built for F17 rawhide.
Comment 22 Fedora Update System 2012-01-25 04:36:44 EST
ghc-case-insensitive-0.4.0.1-1.fc16,ghc-http-types-0.6.8-1.fc16.1,ghc-snap-core-0.6.0.1-2.fc16,ghc-wai-0.4.3-1.fc16,ghc-wai-extra-0.4.5.2-1.fc16,ghc-warp-0.4.6.3-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-case-insensitive-0.4.0.1-1.fc16,ghc-http-types-0.6.8-1.fc16.1,ghc-snap-core-0.6.0.1-2.fc16,ghc-wai-0.4.3-1.fc16,ghc-wai-extra-0.4.5.2-1.fc16,ghc-warp-0.4.6.3-1.fc16
Comment 23 Fedora Update System 2012-01-25 17:29:44 EST
ghc-case-insensitive-0.4.0.1-1.fc16, ghc-http-types-0.6.8-1.fc16.1, ghc-snap-core-0.6.0.1-2.fc16, ghc-wai-0.4.3-1.fc16, ghc-wai-extra-0.4.5.2-1.fc16, ghc-warp-0.4.6.3-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 24 Fedora Update System 2012-01-25 19:40:21 EST
ghc-snap-core-0.5.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ghc-snap-core-0.5.5-2.fc15
Comment 25 Fedora Update System 2012-02-07 02:48:31 EST
ghc-snap-core-0.5.5-2.fc15 has been pushed to the Fedora 15 stable repository.
Comment 26 Fedora Update System 2012-02-07 02:57:22 EST
ghc-case-insensitive-0.4.0.1-1.fc16, ghc-http-types-0.6.8-1.fc16.1, ghc-snap-core-0.6.0.1-2.fc16, ghc-wai-0.4.3-1.fc16, ghc-wai-extra-0.4.5.2-1.fc16, ghc-warp-0.4.6.3-1.fc16 has been pushed to the Fedora 16 stable repository.

Note You need to log in before you can comment on or make changes to this bug.